## org.eclipse.jst.jsf.common.metadata.traittypes.traittypes
Interface TraitTypesFactory

    public interface TraitTypesFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

Provisional API - subject to change

See Also:
  `TraitTypesPackage`

Field Summary
`static java.lang.String` `copyright`
`static TraitTypesFactory` `eINSTANCE` The singleton instance of the factory

Method Summary
`BooleanValue` `createBooleanValue()` Returns a new object of class 'Boolean Value'
`ListOfValues` `createListOfValues()` Returns a new object of class 'List Of Values'
`SetGenerator` `createSetGenerator()` Returns a new object of class 'Set Generator'
`StringValue` `createStringValue()` Returns a new object of class 'String Value'
`TraitTypesPackage` `getTraitTypesPackage()` Returns the package supported by this factory

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

### eINSTANCE

    static final TraitTypesFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createListOfValues

    ListOfValues createListOfValues()

  Returns a new object of class 'List Of Values'.

  Returns:
    a new object of class 'List Of Values'.

### createSetGenerator

    SetGenerator createSetGenerator()

  Returns a new object of class 'Set Generator'.

  Returns:
    a new object of class 'Set Generator'.

### createStringValue

    StringValue createStringValue()

  Returns a new object of class 'String Value'.

  Returns:
    a new object of class 'String Value'.

### createBooleanValue

    BooleanValue createBooleanValue()

  Returns a new object of class 'Boolean Value'.

  Returns:
    a new object of class 'Boolean Value'.

### getTraitTypesPackage

    TraitTypesPackage getTraitTypesPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.